gcc: remove version 4.8.0
[openwrt/staging/chunkeey.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_USE_VERSION_4_4_7 if avr32
6 default GCC_USE_VERSION_4_6_LINARO if TARGET_octeon
7 default GCC_USE_VERSION_4_8_LINARO
8 help
9 Select the version of gcc you wish to use.
10
11 config GCC_USE_VERSION_4_4_7
12 select GCC_VERSION_4_4_7
13 bool "gcc 4.4.7"
14 depends on avr32
15
16 config GCC_USE_VERSION_4_6_LINARO
17 select GCC_VERSION_4_6_LINARO
18 bool "gcc 4.6.x with Linaro enhancements"
19
20 config GCC_USE_VERSION_4_8_LINARO
21 select GCC_VERSION_4_8_LINARO
22 bool "gcc 4.8.x with Linaro enhancements"
23
24 config GCC_USE_VERSION_4_9_LINARO
25 select GCC_VERSION_4_9_LINARO
26 bool "gcc 4.9.x with Linaro enhancements"
27
28 endchoice
29
30 config GCC_USE_GRAPHITE
31 bool
32 prompt "Compile in support for the new Graphite framework in GCC 4.4+" if TOOLCHAINOPTS
33
34 config GCC_USE_SYSTEM_PPL_CLOOG
35 bool
36 prompt "Use the system versions of PPL and CLooG"
37 depends on GCC_USE_GRAPHITE
38 default n
39
40 config EXTRA_GCC_CONFIG_OPTIONS
41 string
42 prompt "Additional gcc configure options" if TOOLCHAINOPTS
43 default ""
44 help
45 Any additional gcc options you may want to include....
46
47 config SSP_SUPPORT
48 bool
49 prompt "Enable Stack-Smashing Protection support" if TOOLCHAINOPTS
50 default n
51 help
52 Enable Stack-Smashing Protection support
53
54 config SJLJ_EXCEPTIONS
55 bool
56 prompt "Use setjump()/longjump() exceptions" if TOOLCHAINOPTS
57 default n
58 help
59 Use old setjump()/longjump() exceptions instead of the newer
60 frame unwinding exceptions handling routines. Warning: increases
61 code size and runtime memory usage.
62
63 config INSTALL_LIBGCJ
64 bool
65 prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
66 default n
67 help
68 Build/install java compiler and GNU classpath ?
69
70
71 config INSTALL_GFORTRAN
72 bool
73 prompt "Build/install fortran compiler?" if TOOLCHAINOPTS
74 default n
75 help
76 Build/install GNU fortran compiler ?